%global glib2_version 2.44
%global ostree_version 2017.14
%global flatpak_version 1.0.0

%{?!_pkgdocdir:%global _pkgdocdir %{_docdir}/%{name}}

Name:           flatpak-builder
Version:        1.0.11
Release:        %mkrel 1
Summary:        Tool to build flatpaks from source
Group:          System/Packaging
# src/builder-utils.c has portions derived from GPLv2+ code,
# the rest is LGPLv2+
License:        LGPLv2+ and GPLv2+
URL:            http://flatpak.org/
Source0:        https://github.com/flatpak/flatpak-builder/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  gettext
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl
BuildRequires:  flatpak >= %{flatpak_version}
BuildRequires:  libcap-devel
BuildRequires:  libdwarf-devel
BuildRequires:  pkgconfig(glib-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libelf)
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  pkgconfig(ostree-1) >= %{ostree_version}
BuildRequires:  xmlto
BuildRequires:  xsltproc

Requires:       flatpak%{?_isa} >= %{flatpak_version}
Requires:       glib2.0-common%{?_isa} >= %{glib2_version}
Requires:       ostree%{?_isa} >= %{ostree_version}
Requires:       binutils
Requires:       bzip2
Requires:       elfutils
Requires:       git-core
Requires:       lzip
Requires:       patch
Requires:       tar
Requires:       unzip
Recommends:     bzr
Recommends:     subversion

%description
Flatpak-builder is a tool for building flatpaks from sources.

See http://flatpak.org/ for more information.


%prep
%autosetup -p1


%build
%configure \
    --enable-docbook-docs \
    --with-dwarf-header=%{_includedir}/libdwarf

%make_build


%install
%make_install


%files
%license COPYING
%doc %{_pkgdocdir}
%{_bindir}/flatpak-builder
%{_mandir}/man1/flatpak-builder.1*
%{_mandir}/man5/flatpak-manifest.5*




%changelog
* Tue Jan 26 2021 neoclust <neoclust> 1.0.11-1.mga8
+ Revision: 1673530
- New version 1.0.11

* Sat Feb 15 2020 umeabot <umeabot> 1.0.7-2.mga8
+ Revision: 1526655
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jun 15 2019 ngompa <ngompa> 1.0.7-1.mga7
+ Revision: 1400039
- Update to 1.0.7

* Sat Aug 25 2018 ngompa <ngompa> 1.0.0-1.mga7
+ Revision: 1254482
- Update to v1.0.0

* Sun Jul 15 2018 wally <wally> 0.99.3-1.mga7
+ Revision: 1243764
- new version 0.99.3

* Mon Feb 12 2018 ngompa <ngompa> 0.10.6-1.mga7
+ Revision: 1200572
- Update to 0.10.6

* Sun Nov 19 2017 ngompa <ngompa> 0.10.4-1.mga7
+ Revision: 1177843
- Upgrade to 0.10.4

* Mon Sep 18 2017 ngompa <ngompa> 0.9.11-2.mga7
+ Revision: 1155307
- Update to 0.9.11

* Mon Sep 11 2017 ngompa <ngompa> 0.9.9-2.mga7
+ Revision: 1152634
- Adapt for Mageia
- imported package flatpak-builder


* Mon Sep 04 2017 Kalev Lember <klember@redhat.com> - 0.9.9-1
- Initial flatpak-builder package
